<?php
class adminerrorController extends baseadminController {

  function __construct() {
    $this->controller_name = 'Chyba';
    $this->controller_fname = 'adminerror';
    $this->controller_info = 'Modul pro ošetření chybových stavů';
    parent::__construct();
  }

  public function index($args) {

  	if (is_array($args)){
  		$kod 		= @$args[0];
  		$log_id = @$args[1];
  		$mess 	= @$args[2];
  	}
  	else {
  		$kod = $args;
  	}

  	switch($kod) {
  		case 400:
    		$name = 'Chybný požadavek';
    		$desc = 'Hledaná stránka mohla být odebrána, přejmenována, nebo není dočasně dostupná.';
    		$info = 'Pokud předpokládáte, že by jste měli mít možnost zobrazit daný adresář, nebo složku, 
    			obraťte se na administrátora systému.';
    		break;

  		case 401:
    		$name = 'Přihlášení selhalo';
    		$desc = 'Zadané údaje neopravňují k prohlížení požadovaného obsahu.';
    		$info = 'Pokud předpokládáte, že by jste měli mít možnost zobrazit daný adresář, nebo složku, 
    			obraťte se na administrátora systému.';
    		break;

  		case 403:
    		$name = 'Přístup zakázán';
    		$desc = 'Nemáte oprávnění k prohlížení požadovaného obsahu.';
    		$info = 'Pokud předpokládáte, že by jste měli mít možnost zobrazit daný adresář, nebo složku, 
    			obraťte se na administrátora systému.';
    		break;

  		case 404:
    		$name = 'Modul nebyl nalezen';
    		$desc = 'Hledaná modul mohl být odebrán, přejmenován, nebo není dočasně dostupný.';
    		$info = 'Pokud předpokládáte, že by jste měli mít možnost s modulem pracovat, 
    			obraťte se na administrátora systému.';
    		break;
    		
  		case 998:
    		$kod = 998;
    		$name = 'Controller error';
    		$desc = $mess;
    		$info = 'Pro odstraněnní chyby kontaktujte dodavatele systému.';
    		break;
    		
  		default:
    		$kod = 999;
    		$name = 'Nespecifikovaná chyba';
    		$desc = 'Došlo k neznámé chybě.';
    		$info = 'Pro její odstraněnní kontektujte dodavatele systému.';
    		break;
  	}

  	$log = '';
  	if (!empty($log_id)) {
  		$log = 'Váš požadavek byl zalogován. <b>#Log-id: '.$log_id.'</b> tento údaj uveďte při případném nahlášení chyby.';
  	}

  	$this->html = '<div class="err_mess"><h1>Oznámení o chybě &quot;'.$name.'&quot; ( Kód  chyby: '.$kod.')</h1>
  		<p>'.$desc.'</p><p>'.$info.'</p><p>'.$log.'</p></div>';
  	
  	$this->setView();
  }

}
?>